*==============================================================================
* Program:				ALLCOMPANIES.PRG
* Purpose:				Use UNION to consolidate company lists. 
*                       Note use of field names in ORDER BY
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor AllCompanies populated
*==============================================================================

SELECT Company_Name, Address, City, Region, Postal_Code, Country ;
	FROM Customer ;
UNION ;
SELECT Company_Name, Address, City, Region, Postal_Code, Country ;
	FROM Supplier ;
ORDER BY Country, City ;
INTO CURSOR AllCompanies

BROWSE WINDOW ResultWin