*==============================================================================
* Program:				OLDESTCONTACTS.PRG
* Purpose:				Find the people with the 20 oldest contacts
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		Contacts database open
* Environment out:		Cursor HasOldestContacts populated
*==============================================================================

SELECT cFirst, cLast ;
	FROM Person ;
	WHERE iID IN ;
	(SELECT TOP 20 iPersonFK ;
		FROM PersonToItem ;
		ORDER BY dEffective) ;
	INTO CURSOR HasOldestContacts
	
BROWSE WINDOW ResultWin