*==============================================================================
* Program:				UNCORRELATEDDELETE.PRG
* Purpose:				Delete expired contact items. Finds items by query,
*                       then uses subquery to delete.
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		04/27/04
* Parameters:			None
* Returns:				None
* Environment in:		Contacts database open
* Environment out:		Contact items no longer in use deleted.
*==============================================================================

SELECT iItemFK, MAX(dEnds) as dLastDate ;
      FROM PersonToItem ;
      WHERE iItemFK NOT in ( ;
        SELECT iItemFK ;
          FROM PersonToItem ;
          WHERE EMPTY(dEnds)) ;
      GROUP BY iItemFK ;
      HAVING dLastDate < DATE();
      INTO CURSOR Expired
      
DELETE FROM ContactItem;
    WHERE ContactItem.iID IN (;
      SELECT iItemFK FROM Expired)
