*==============================================================================
* Program:				CUSTPRODUCTS.PRG
* Purpose:				Find the products included in each customer's 
*                       most recent order
* Author:				Tamar E. Granor
* Copyright:			(c) 2004 Tamar E. Granor
* Last revision:		06/28/04
* Parameters:			None
* Returns:				None
* Environment in:		TasTrade database open
* Environment out:		Cursor CustProducts created and populated
*==============================================================================

SELECT CustLast.Customer_ID, Product_ID ;
   FROM Order_Line_Items OLILast;
     JOIN Orders OrdLast;
       ON OLILast.Order_ID = OrdLast.Order_ID ;
     JOIN Customer CustLast;
       ON OrdLast.Customer_ID = ;
          CustLast.Customer_ID ;
   WHERE OrdLast.Order_Date = ;
     (SELECT MAX(Order_Date) ;
        FROM Orders Ord ;
        WHERE OrdLast.Customer_ID = ;
              Ord.Customer_ID ) ;
   INTO CURSOR CustProducts
